Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 181636 - rename SunStudio compiler set to OracleSolarisStudio
rename SunStudio compiler set to OracleSolarisStudio
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Toolchain
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Thomas Preisler
issues@cnd
68patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-08 10:16 UTC by Thomas Preisler
Modified: 2010-04-02 04:50 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
6.8 patch for 181636 (18.50 KB, application/octet-stream)
2010-03-12 11:44 UTC, Thomas Preisler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Preisler 2010-03-08 10:16:25 UTC
Should we change it to Oracle Solaris Studio? I assume - yes.
Should we change it in OSSX? I assume - yes.
Should we change it in NB 6.9 as well? I assume - yes.
Should we change it for 12.2 only or retrospectively for all versions? I
assume the latter case, but I'm not sure.
Comment 1 Alexander Pepin 2010-03-10 05:25:53 UTC
We should do it very carefully to keep support for existing projects where SunStudio collections are used.
Comment 2 Alexander Pepin 2010-03-12 06:43:30 UTC
It should be included into patch2
Comment 4 pgebauer 2010-03-12 07:25:07 UTC
Could QE verify the fix in the trunk and change the status accordingly in order that the the fix can be ported into the release68_fixes branch?
Comment 5 Alexander Simon 2010-03-12 08:17:20 UTC
Note:
Thomas is going to provide fix for NB 6.8.
(because fix in trunk does not compatible with fix in NB 6.8)
So fixes should be verified separately.
Comment 6 Alexander Pepin 2010-03-12 09:08:06 UTC
The fix is verified in trunk.
Comment 7 Alexander Pepin 2010-03-12 10:25:33 UTC
Fix for NB 6.8 (OSSX) is verified in provided SS build.
Thomas please provide the change set.
Comment 8 Thomas Preisler 2010-03-12 11:44:11 UTC
Created attachment 95107 [details]
6.8 patch for 181636
Comment 9 Alexander Pepin 2010-03-12 12:02:14 UTC
fixed
Comment 10 Alexander Pepin 2010-03-12 12:03:57 UTC
verified in trunk and in provided SS IDE build (based on NB 6.8)
Comment 11 pgebauer 2010-03-15 17:07:27 UTC
The fix has been ported into the release68_fixes branch.
http://hg.netbeans.org/release68_fixes/rev/2d0250517a41
Comment 12 Alexander Pepin 2010-03-18 16:37:39 UTC
verified in patch2 candidate 20100318
Comment 13 Quality Engineering 2010-04-02 04:50:35 UTC
Integrated into 'main-golden', will be available in build *201004020200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/c8f370f62963
User: Thomas Preisler <thp@netbeans.org>
Log: #181636 rename SunStudio compiler set to OracleSolarisStudio
5/10 => 6/10
1005 => 1006


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo